```
%%%Spiral delay line coordinates generator
cStart=[-6.25300	165.00000]; %Coordinates of the spiral's starting point
target=2290;    %Targeted length of the spiral
measured=1574.624; %Set this value to 0 for initial run, then measure the waveguide length in Klayout and put it here.
diffL=150;      %Length difference of waveguide without the spiral
wg_gap=2; % gap between spiral traces
wg_r=5; % waveguide bending radius
n_spiral=5; % number of spiral cycles

if measured==0
    h=0; %during initial run, set extra height of spiral to 0
else
    h=(target-diffL-measured)/(4+4*n_spiral); % adjust extra height of spiral to achieve targeted wg length
end

X_E=wg_gap+wg_r*4; % max X coordinate(East) of minimum spiral
Y_N=wg_gap+wg_r*2+h;% max Y coordinate(North) of minimum spiral
cX=[0,0,X_E,X_E,wg_gap+wg_r*2,wg_gap+wg_r*2,wg_gap,wg_gap];
cY=[0,Y_N,Y_N,0,0,wg_r*2+h,wg_r*2+h,0];

for i_spiral=1:n_spiral
    cX(1)=[];cX(end)=[];
    cY(1)=[];cY(end)=[];
    cX=[-wg_gap*2*i_spiral,-wg_gap*2*i_spiral,X_E+wg_gap*2*i_spiral,X_E+wg_gap*2*i_spiral,-2*(i_spiral-1)*wg_gap,...
        cX,...
        -2*(i_spiral-1)*wg_gap+wg_gap,X_E+wg_gap*2*i_spiral-wg_gap,X_E+wg_gap*2*i_spiral-wg_gap,-wg_gap*2*i_spiral+wg_gap,-wg_gap*2*i_spiral+wg_gap];
    cY=[-2*i_spiral*wg_gap,Y_N+2*i_spiral*wg_gap,Y_N+2*i_spiral*wg_gap,-2*i_spiral*wg_gap,-2*i_spiral*wg_gap,...
        cY,...
        -2*i_spiral*wg_gap+wg_gap,-2*i_spiral*wg_gap+wg_gap,Y_N+2*i_spiral*wg_gap-wg_gap,Y_N+2*i_spiral*wg_gap-wg_gap,-2*i_spiral*wg_gap];
end

cX=cX-cX(1)+cStart(1);
cY=cY-cY(1)+cStart(2);
c_out=[cX;cY]';
```